Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.predicates
Class IsolatedVertexPredicate

    java.lang.Object
      edu.uci.ics.jung.graph.predicates.GPredicate
          edu.uci.ics.jung.graph.predicates.VertexPredicate
              edu.uci.ics.jung.graph.predicates.IsolatedVertexPredicate

All Implemented Interfaces:
  Predicate

public class IsolatedVertexPredicate
extends VertexPredicate

A predicate which tests to see whether a specified vertex has any neighbors. Not suitable for use as a constraint.

Author:
  Joshua O'Madadhain

Field Summary

Fields inherited from class edu.uci.ics.jung.graph.predicates.GPredicate
`isInitializationPredicate`

Constructor Summary
`protected` | `IsolatedVertexPredicate()` This constructor is protected in order to keep equals working by retaining only one instance.

Method Summary
`boolean` | `evaluateVertex(ArchetypeVertex v)` Returns `true` if the argument is a `Vertex` whose degree is 0.
`static IsolatedVertexPredicate` | `getInstance()` Returns an instance of this class.
`String` | `toString()`

Methods inherited from class edu.uci.ics.jung.graph.predicates.VertexPredicate
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IsolatedVertexPredicate

    protected IsolatedVertexPredicate()

  This constructor is protected in order to keep equals working by retaining only one instance. (Currently, since there can only be one instance, equals trivially returns true. If this class is extended, be careful to write equals correctly.)

Method Detail

### getInstance

    public static IsolatedVertexPredicate getInstance()

  Returns an instance of this class.

### toString

    public String toString()

### evaluateVertex

    public boolean evaluateVertex(ArchetypeVertex v)

  Returns `true` if the argument is a `Vertex` whose degree is 0.

  Specified by:
    `evaluateVertex` in class `VertexPredicate`
  See Also:
    `Predicate.evaluate(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD